/* Table of constant values */

static int c__3 = 3;

int main(void)
{
    /* Initialized data */
    static double a[9] /* was [3][3] */ = { 1.,3.,0.,-4.,1.,0.,1.,0.,
                                            1. };
    /* Local variables */
    extern int afh5p_c(int *, int *, double *, double *, double *,
                       double *, double *);
    static double d__[3], e[3];
    static int i__, n;
    static double e2[3], tau[6] /* was [2][3] */;

#define a_ref(a_1,a_2) a[(a_2)*3 + a_1 - 4]
#define tau_ref(a_1,a_2) tau[(a_2)*2 + a_1 - 3]

    afh5p_c(&c__3, &c__3, a, d__, e, e2, tau);

    n = 3;
    for (i__ = 1; i__ <= 3; ++i__) {
        printf("\n %20.12e %20.12e %20.12e \n",
             a_ref(i__, 1), a_ref(i__, 2), a_ref(i__, 3));
    }
    printf("\n %20.12e %20.12e %20.12e \n", d__[0], d__[1], d__[2]);
    printf("\n %20.12e %20.12e %20.12e \n", e[0], e[1], e[2]);
    printf("\n %20.12e %20.12e %20.12e \n", e2[0], e2[1], e2[2]);
    for (i__ = 1; i__ <= 2; ++i__) {
        printf("\n %20.12e %20.12e %20.12e \n",
             tau_ref(i__, 1), tau_ref(i__, 2), tau_ref(i__, 3));
    }
    return 0;
} /* main */

#undef tau_ref
#undef a_ref
